Blob Blame History Raw
diff -up bind-9.9.1-P2/config.h.in.multlib-conflict bind-9.9.1-P2/config.h.in
--- bind-9.9.1-P2/config.h.in.multlib-conflict	2012-08-01 14:07:40.300605215 +0200
+++ bind-9.9.1-P2/config.h.in	2012-08-01 14:08:06.449526607 +0200
@@ -400,7 +400,7 @@ int sigwait(const unsigned int *set, int
 #undef PORT_NONBLOCK
 
 /* The size of `void *', as computed by sizeof. */
-#undef SIZEOF_VOID_P
+/* #undef SIZEOF_VOID_P */
 
 /* Define to 1 if you have the ANSI C header files. */
 #undef STDC_HEADERS
diff -up bind-9.9.1-P2/configure.in.multlib-conflict bind-9.9.1-P2/configure.in
--- bind-9.9.1-P2/configure.in.multlib-conflict	2012-08-01 13:25:04.871278041 +0200
+++ bind-9.9.1-P2/configure.in	2012-08-01 13:25:08.705266546 +0200
@@ -2102,7 +2102,9 @@ int getnameinfo(const struct sockaddr *,
                 size_t, char *, size_t, int);],
 [ return (0);],
 	[AC_MSG_RESULT(size_t for buflen; int for flags)
-	 AC_DEFINE(IRS_GETNAMEINFO_BUFLEN_T, size_t)
+	# Changed to solve multilib conflict on Fedora 
+	#AC_DEFINE(IRS_GETNAMEINFO_BUFLEN_T, size_t)
+	 AC_DEFINE(IRS_GETNAMEINFO_BUFLEN_T, socklen_t)
 	 AC_DEFINE(IRS_GETNAMEINFO_FLAGS_T, int)],
 [AC_MSG_RESULT(not match any subspecies; assume standard definition)
 AC_DEFINE(IRS_GETNAMEINFO_BUFLEN_T, socklen_t)
diff -up bind-9.9.1-P2/isc-config.sh.in.multlib-conflict bind-9.9.1-P2/isc-config.sh.in
--- bind-9.9.1-P2/isc-config.sh.in.multlib-conflict	2012-08-01 10:30:18.414494493 +0200
+++ bind-9.9.1-P2/isc-config.sh.in	2012-08-01 14:12:11.696789273 +0200
@@ -20,8 +20,19 @@
 prefix=@prefix@
 exec_prefix=@exec_prefix@
 exec_prefix_set=
-libdir=@libdir@
 includedir=@includedir@
+arch=$(uname -m)
+
+case $arch in
+	x86_64 | amd64 | sparc64 | s390x | ppc64)
+		libdir=/usr/lib64
+		sec_libdir=/usr/lib
+		;;
+	* )
+		libdir=/usr/lib
+		sec_libdir=/usr/lib64
+		;;
+esac
 
 usage()
 {
@@ -124,6 +135,16 @@ if test x"$echo_cflags" = x"true"; then
 	echo $includes
 fi
 if test x"$echo_libs" = x"true"; then
+	if [ ! -x $libdir/libisc.so ] ; then
+		if [ ! -x $sec_libdir/libisc.so ] ; then
+			echo "Error: ISC libs not found in $libdir"
+			if [ -d $sec_libdir ] ; then
+				echo "Error: ISC libs not found in $sec_libdir"
+			fi
+			exit 1
+		fi
+		libdir=$sec_libdir
+	fi
 	libs="-L${libdir}"
 	if test x"$liblwres" = x"true" ; then
 		libs="$libs -llwres"